commit:     8cad25395e919a3905450e081e6c3e0f900c6858
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Tue Jun 22 21:16:04 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun 22 23:00:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cad2539

app-misc/openrgb-plugin-skin: new package

https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-misc/openrgb-plugin-skin/Manifest              |  1 +
 app-misc/openrgb-plugin-skin/metadata.xml          | 15 +++++++
 .../openrgb-plugin-skin-0_p20210601.ebuild         | 46 ++++++++++++++++++++++
 3 files changed, 62 insertions(+)

diff --git a/app-misc/openrgb-plugin-skin/Manifest 
b/app-misc/openrgb-plugin-skin/Manifest
new file mode 100644
index 00000000000..7e97f83b58c
--- /dev/null
+++ b/app-misc/openrgb-plugin-skin/Manifest
@@ -0,0 +1 @@
+DIST openrgbskinplugin-3d937cf5112a98052f98a106dc0f5de1eafc20ea.tar.bz2 14673 
BLAKE2B 
e9ba7e072882a995d9d37274e612f0ad404c369bafb4e59db379f43242873f08f36adc5521277c2bac4e730c35cde561e535e30e5a37155bfe0fa408d5ba3b45
 SHA512 
1a23b843230da6778079873949e72280efe46c6c015eb27456283bae5d88b539d8a5f69e6f1580400e1cfa746bcd36b6a1ae597f510b0c331d16f56b6ae28670

diff --git a/app-misc/openrgb-plugin-skin/metadata.xml 
b/app-misc/openrgb-plugin-skin/metadata.xml
new file mode 100644
index 00000000000..33a23a62059
--- /dev/null
+++ b/app-misc/openrgb-plugin-skin/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrick McLean</name>
+       </maintainer>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Alexey Sokolov</name>
+       </maintainer>
+       <upstream>
+               <remote-id 
type="gitlab">OpenRGBDevelopers/openrgbskinplugin</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git 
a/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20210601.ebuild 
b/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20210601.ebuild
new file mode 100644
index 00000000000..82292356f05
--- /dev/null
+++ b/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20210601.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+MY_GIT_COMMIT="3d937cf5112a98052f98a106dc0f5de1eafc20ea"
+SRC_URI="https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin/-/archive/${MY_GIT_COMMIT}/openrgbskinplugin-${MY_GIT_COMMIT}.tar.bz2";
+S="${WORKDIR}/openrgbskinplugin-${MY_GIT_COMMIT}"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Plugin for OpenRGB that allows you to customize the look and feel 
of OpenRGB"
+HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin";
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+       >=app-misc/openrgb-0.6-r1:=
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/nlohmann_json
+"
+
+src_prepare() {
+       default
+       rm -r OpenRGB || die
+}
+
+src_configure() {
+       eqmake5 \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/RGBController" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/i2c_smbus" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/net_port"
+}
+
+src_install() {
+       exeinto /usr/$(get_libdir)/OpenRGB/plugins
+       doexe libOpenRGBSkinPlugin.so.1.0.0
+}

Reply via email to